//
// THIS FILE IS COPYRIGHT 1994, 1995 BY TELENOR R&D, NORWAY
//
//                        ALL RIGHTS RESERVED.
//
// For rights granted to the public see the COPYRIGHT file
//
//
// lang.h	extern declarations for all the different messages.
//
// Author:  Ken Ronny Schouten
//
// Changes: January 1995 Brd Hfjeld
//				Added a few new messages
//

#ifndef LANGH
#define LANGH

// General statements used in different programs
extern const char *OpenFile;
extern const char *AllocMemory;
extern const char *ReadFile;
extern const char *InternalError;
extern const char *BadIndex;
extern const char *UnknownError;

// Statements for the ffwindex program
extern const char *UsageIndex;
extern const char *IndexNameMessage;
extern const char *UrlRootMessage;
extern const char *GoingToMessage;
extern const char *UnknownEscape;

// Statements for the ffwindex program
extern const char *UsageDIndex;
extern const char *DateIndexFailed;

// Statements for the ffwstat program
extern char *UsageStat;
extern char *BlocksMessage;
extern char *NoOutputOptions;

// Statements for the ffwmerge program
extern char *UsageMerge;

// Statements for the ffwsearch program
extern const char *SearchHelp;
extern const unsigned char *Not;
extern const unsigned char *And;
extern const unsigned char *Or;
extern const char *NotNotReduced;
extern const char *MissingRightParantes;
extern const char *UnexpectedSymbol;
extern const char *ParseError;
extern const char *NoSearchTerm;
extern const char *NoIndexFiles;
extern const char *BadAfterDate;
extern const char *BadBeforeDate;
extern const char *BadTruncation;
extern const char *AsteriskFirst;
extern const char *InternalExceeded;
extern const char *OutputExceeded;


#endif
