//
// THIS FILE IS COPYRIGHT 1994, 1995 BY TELENOR R&D, NORWAY
//
//                        ALL RIGHTS RESERVED.
//
// For rights granted to the public see the COPYRIGHT file
//
//
// norsk.cc	The Norwegian language file
//
// Author:  Ken Ronny Schouten
//
// Changes: January 1995 Brd Hfjeld
//				Added new messages
//

// Every message in norwegian to the user is stored in this file.

// General statements used in different programs
const char *OpenFile = "Error=Kunne ikke pne fil %s\n";
const char *AllocMemory = "Error=Fikk ikke allokert minne.\n";
const char *ReadFile = "Error=Kunne ikke lese fra fil %s.\n";
const char *InternalError = "Error=Intern programfeil: %s\n";
const char *BadIndex = "Error=Indeks %s er defekt.\n";
const char *UnknownError = "Error=Ukjent feil %d fra %s\n";

// Statements for the ffwindex program
const char *UsageIndex = "Bruk: %s [-] [-f] [-i paramfil] [-w filterfil]\n"
"[-n] [-c] [-l tall] [-u tall] [-m]\n"
"indeksnavn [URLprefiks] [HTML dokumenter...]\n";
const char *IndexNameMessage = "Indeksnavn er: %s\n";
const char *UrlRootMessage = "URL-root er: %s\n";
const char *GoingToMessage = "Parser: %s\n";
const char *UnknownEscape = "Fant ukjent escape-kode '%s'. Blir ignorert.\n";

// Statements for the ffwdateindex program
const char *UsageDIndex = "Bruk: %s indeksnavn\n";
const char *DateIndexFailed = "Bygging av datoindeks feilet.\n";

// Statements for the ffwstat program
char *UsageStat = "Bruk: %s -i indeksnavn [-d] [-w] [-f limit]\n";
char *BlocksMessage = "Indeksen bestr av %d blokker\n";
char *NoOutputOptions = "Du m oppgi -d, -w eller -f.\n";

// Statements for the ffwmerge program
char *UsageMerge = "Bruk: %s <nyindeks> <indeks1> <indeks2>\n";

// Statements for the ffwsearch program
char *SearchHelp = "Bruk: %s [-h] [-d] [-a etter] [-b fr] [-o ut_grense] [-w arb_grense] -i indeksfil skeuttrykk\n";
const unsigned char *Not = (unsigned char *)"ikke";
const unsigned char *And = (unsigned char *)"og";
const unsigned char *Or = (unsigned char *)"eller";
const char *NotNotReduced = "Error=Det var umulig  beregne et 'ikke'-uttrykk, vennligst reformuler sket\n";
const char *MissingRightParantes = "Error=Manglende hyreparentes foran tegn nummer %d i \"%s\"\n";
const char *UnexpectedSymbol = "Error=Uventet symbol foran tegn nummer %d i \"%s\"\n";
const char *ParseError = "Error=Feil syntaks foran tegn nummer %d i \"%s\"\n";
const char *NoSearchTerm = "Error=Ikke noe skeuttrykk oppgitt\n";
const char *NoIndexFiles = "Error=Ingen indeksfiler oppgitt\n";
const char *BadAfterDate = "Error=Ulovlig verdi i etter-dato\n";
const char *BadBeforeDate = "Error=Ulovlig verdi i fr-dato\n";
const char *BadTruncation = "Error=Ulovlig avkortning i %s. * m vre siste tegn i ordet\n";
const char *AsteriskFirst = "Error=* er frste tegn i %s. Det er ikke tillatt  ha * frst i et skeord.\n";
const char *InternalExceeded = "Error=En intern tabell ble for stor. Grensen er %d dokumenter\n";
const char *OutputExceeded = "Info=Bare %d dokumenter er vist av %d som ble funnet.\n"; 
